﻿using System;

class LogicalAndDemo
{
    static void Main()
    {
        // 提示用户输入年龄
        Console.Write("请输入您的年龄: ");
        string ageInput = Console.ReadLine();

        // 尝试将输入转换为整数类型
        int age;
        bool isValidAge = int.TryParse(ageInput, out age);

        // 提示用户是否同意条款
        Console.Write("您是否同意条款？ (yes/no): ");
        string agreement = Console.ReadLine();

        // 判断用户是否同意条款（忽略大小写）
        bool isAgreed = agreement.ToLower() == "yes";

        /*
         * 使用逻辑与运算符 `&&` 来检查所有条件是否都满足：
         * 1. 年龄输入是否有效
         * 2. 用户是否同意条款
         * 3. 年龄是否在18到100岁之间
         *
         * 只有当所有条件都为 true 时，才执行欢迎逻辑
         * 否则，执行拒绝逻辑
         */
        if (isValidAge && isAgreed && age >= 18 && age <= 100)
        {
            Console.WriteLine("欢迎加入！");
        }
        else
        {
            Console.WriteLine("抱歉，您无法加入。");
        }

        /*
         * 总结：
         * - `&&` 是逻辑与运算符，用于布尔表达式的条件判断
         * - 具有短路行为，如果左边的表达式为 false，右边的表达式不会被评估
         * - 常用于需要所有条件都为 true 时才执行某些操作的场景
         */
    }
}
